%define git_commit bac771e

Name:           polkit-qt5
Version:        0.103.0
Release:        2.20140606git%{git_commit}%{?dist}
Summary:        Qt 5 bindings for PolicyKit

License:        GPLv2+
URL:            https://projects.kde.org/projects/kdesupport/polkit-qt-1

# git archive --format=tar --prefix=%{name}-%{version}-%{snapshot}/ \
#             --remote=git://anongit.kde.org/polkit-qt-1 %{git_commit} | \
# xz -c > %{name}-%{git_commit}.tar.xz
Source0:        polkit-qt5-%{git_commit}.tar.xz
Source1:        Doxyfile

BuildRequires:  extra-cmake-modules
BuildRequires:  polkit-devel >= 0.98
BuildRequires:  qt5-qtbase-devel
BuildRequires:  doxygen

%description
Polkit-qt5 is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package devel
Summary: Development files for PolicyKit Qt 5 bindings
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%package doc
Summary: Doxygen documentation for the PolkitQt API
Group: Documentation
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DBUILD_EXAMPLES:BOOL=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}

doxygen %{SOURCE1}

# Remove installdox file - it is not necessary here
rm -fv html/installdox


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/libpolkit-qt5-core-1.so.1*
%{_libdir}/libpolkit-qt5-gui-1.so.1*
%{_libdir}/libpolkit-qt5-agent-1.so.1*

%files devel
#%{_kf5_sysconfdir}/rpm/macros.polkit-qt
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/

%files doc
%doc html/*


%changelog
* Fri Jun 06 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.2.20140606gitbac771e
- Update to latest git snapshot

* Wed Jan 15 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.1.20140115git
- fork from polkit-qt SPEC
